### Function

# AppStream license_is_metadata_license_id

#### Declaration [src]

    gboolean
    as_license_is_metadata_license_id (
      const gchar* license_id
    )

#### Description [src]

Tests license ID against the vetted list of licenses that can be used for metainfo metadata. This function will not work for license expressions, if you need to test an SPDX license expression for compliance, please use %as_license_is_metadata_license insread.

#### Parameters

`license_id`

  Type: `const gchar*`

  A single SPDX license ID, e.g. “FSFAP”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the string is a valid metadata license ID.